import {
	WeaTools
} from 'ecCom'

export const getRight = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarybank/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarybank/getButtonMenu', 'POST', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarybank/getSalaryBankCondition', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarybank/getSalaryBankList', 'POST', params);
}

export const getEditorForm = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarybank/getSalaryBankForm?is_multilang_set=true', 'POST', params);
}

export const deleteTableRows = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarybank/delSalaryBank', 'POST', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarybank/addSalaryBank', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarybank/editSalaryBank', 'POST', params);
}